Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
consultationview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZContactMain", "Language" )
| $user =& eZUser::currentUser()
if(!is_a( $user, "eZUser")) if(!eZPermission::checkPermission( $user, "eZContact", "Consultation") && $ini->variable("eZContactMain", "ShowAllConsultations") !="enabled") | $t
if(! $user) | $status_id = 0
if(!eZConsultation::belongsTo( $ConsultationID, $user->id()) && $ini->variable("eZContactMain", "ShowAllConsultations") !="enabled") | else
| $companyid = $consultation->company()
| $personid = $consultation->person()
| $type = new eZConsultationType( $status_id )
| $groups = $consultation->groupList()

## Variable Documentation

## ◆ $companyid

$companyid = $consultation->company()

Definition at line 119 of file consultationview.php.

Referenced by eZCompany\addPerson(), and eZCompany\removePersons().

## ◆ $groups

$groups = $consultation->groupList()

Definition at line 149 of file consultationview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 35 of file consultationview.php.

## ◆ $Language

$Language = $ini->variable( "eZContactMain", "Language" )

Definition at line 36 of file consultationview.php.

## ◆ $personid

$personid = $consultation->person()

Definition at line 120 of file consultationview.php.

Referenced by eZCompany\addPerson().

## ◆ $status_id

$status_id = 0

Definition at line 97 of file consultationview.php.

## ◆ $t

if (!is_a($user, "eZUser")) if (!eZPermission::checkPermission($user, "eZContact", "Consultation") &&$ini->variable("eZContactMain", "ShowAllConsultations") !="enabled") $t

Initial value:
= new eZTemplate( "kernel/ezcontact/admin/" . $ini->variable( "eZContactMain", "AdminTemplateDir" ),
"kernel/ezcontact/admin/intl", $Language, "consultationedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: consultationview.php:36
$ini
$ini
Definition: consultationview.php:35

Definition at line 64 of file consultationview.php.

## ◆ $type

$type = new eZConsultationType( $status_id )

Definition at line 145 of file consultationview.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 41 of file consultationview.php.

## ◆ else

foreach ($groups as $group) if (count($groups)==0) else

Initial value:
{
$consultation = new eZConsultation( $ConsultationID )
eZConsultation
Definition: ezconsultation.php:60

Definition at line 110 of file consultationview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.